
Katello - Bug #5874

Name queries in the environments controller ignore case

05/22/2014 11:18 AM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Name searches are evaluated regardless the character case:

hammer lifecycle-environment info --organization ACME_Corporation --name library

ID:                          1

Name:                        Library

Label:                       Library

Description:

Organization:                ACME_Corporation

Library:                     true                                                     

Prior Lifecycle Environment:

Related issues:

Related to Katello - Bug #4701:  Cannot search lifecycle environment via its ... Closed 03/19/2014

Associated revisions

Revision ae28ba67 - 06/05/2014 12:25 PM - Tomáš Strachota

Fixes #4701, #5874 - removed lowercase filter from kt_name_analyzer

Lowercasing of names caused ambiguous results of search queries.

It also broke searching names containing uppercase international characters.

Revision 49195dc9 - 06/05/2014 07:56 PM - Justin Sherrill

Merge pull request #4220 from jlsherrill/tstrachota-search

Fixes #4701, #5874 - removed lowercase filter from kt_name_analyzer

History

#1 - 05/23/2014 01:37 PM - Tomáš Strachota

- Status changed from New to Assigned

- Assignee set to Tomáš Strachota

#2 - 05/23/2014 01:38 PM - Tomáš Strachota

- Related to Bug #4701:  Cannot search lifecycle environment via its name if using UTF-8 characters added

#3 - 05/23/2014 02:55 PM - Tomáš Strachota

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4149

#4 - 05/28/2014 07:23 PM - Eric Helms

- Target version set to 45
- Triaged changed from No to Yes

#5 - 06/05/2014 08:53 PM - Tomáš Strachota

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:ae28ba678531ccae353bea2932fc67138e51ee78.

#6 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
